* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** EWSM.inc: File with FORM3 definitions needed for running Diana
** It should be renamed to model.inc, including defs for all models.
** begun on 10/02/03

** EWSM.model + QED.model

** Couplings and Weinberg angles
S sqrt2,e,gs,sw,cw,cww;


#do particle={A,W,Z,H,G0,Gm}
S M`particle',MM`particle',cMM`particle',Z`particle';
#enddo
#do particle={le,lm,lt,ne,nm,nt,u,c,t,d,s,b}
S M`particle',MM`particle',Q`particle',I3`particle',GV`particle',GA`particle';
#enddo
#do particle={e,le,lm,lt,ne,nm,nt,Le,Lm,Lt,Ne,Nm,Nt,u,c,t,d,s,b,U,C,T,D,S,B}
S Z`particle';
#enddo
S AZ,ZA,ZZ;


* Vector and axial generic components
S I3n, GVn, GAn
  I3l, GVl, GAl
*
* Gauge fixing parameters
  xiW,xiA,xiZ,xig,
*
* Renormalization parameters
  Z,M,tad,Xi1A,Xi2A,Xi1AZ,Xi2AZ,Xi1Z,Xi2Z,Xi1W,Xi2W;
CF dct,dctQED,fA,fV;
*
* CKM matrices
CF CKM, CKMD;

symbols FV,FA,symbol;





** Main functions
CF NN,SS,AA;
NF F,FF;
CF V,VV;

CF delta,sp;

** I have to rewrite this, since indices are not typically model dependent.
** To avoid using Autodeclare we use triple dot operator
Indices  mu0,...,mu20;
Indices  nu0,...,nu20;
Indices  ro0,...,ro20;
Indices  si0,...,si20;
Indices  al10,...,al19;
Indices  al20,...,al29;
Indices  al30,...,al39;
Indices  be10,...,be19;
Indices  be20,...,be29;
Indices  be30,...,be39;
set mu:  mu0,...,mu20;
set nu:  nu0,...,nu20;
set ro:  ro0,...,ro20;
set si:  si0,...,si20;
set al1: al10,...,al19;
set al2: al20,...,al29;
set al3: al30,...,al39;
set be1: be10,...,be19;
set be2: be20,...,be29;
set be3: be30,...,be39;

vectors q,q0,...,q6;
vectors p,p0,...,p6;
vectors pb,pb0,...,pb6;
vectors pc,pc0,...,pc6;
vectors k,k0,...,k6;

set Q: q,q0,...,q6;
set P: p,p0,...,p6;
set K: k,k0,...,k6;


* $Id: model.inc,v 1.4 2005/07/22 13:46:39 alorca Exp $
